apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "pinfo4.fullname" . }}.frontend
  namespace: {{ .Release.Namespace }} 
  labels:
    {{- include "pinfo4.labels" . | nindent 4 }}
    {{- include "pinfo4.labels" . | nindent 4 }}.frontend
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "pinfo4.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        app: {{ include "pinfo4.fullname" . }}.frontend
        {{- include "pinfo4.selectorLabels" . | nindent 8 }}
    spec:
    {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
    {{- end }}
      serviceAccountName: {{ include "pinfo4.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: {{ .Values.image.repository }}/{{ .Values.image.group}}/frontend:0.4.0-SNAPSHOT
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            - name: BACKEND_HOST
              value: "pinfo4.unige.ch"
            - name: BACKEND_PORT
              value: "443"
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          volumeMounts:
            - name: app-config
              mountPath: /usr/share/nginx/html/assets/config/app-config.json
              subPath: app-config.json
          livenessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 60
            periodSeconds: 20                            
          readinessProbe:
            httpGet:
              path: /
              port: 80
            initialDelaySeconds: 60
            periodSeconds: 20                            
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
      volumes:
       - name: app-config
         configMap:
           name: app-config.json
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
    {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
    {{- end }}
    {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
